Package ru.yandex.clickhouse.util

## Class Logger

- java.lang.Object
- - ru.yandex.clickhouse.util.Logger

    public class Logger
    extends Object

Simple logger.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `debug​(String message)`
`void` `error​(String message)`
`void` `info​(String message)`
`void` `log​(String message, Level level)`
`static Logger` `logger​(String key)`
`static Logger` `of​(Class clazz)`
`static Logger` `of​(Object object)`
`void` `warn​(String message)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### logger

    public static Logger logger​(String key)

#### of

    public static Logger of​(Class clazz)

#### of

    public static Logger of​(Object object)

#### info

    public void info​(String message)

#### debug

    public void debug​(String message)

#### warn

    public void warn​(String message)

#### error

    public void error​(String message)

#### log

    public void log​(String message,
                    Level level)